View Issue Details

IDProjectCategoryView StatusLast Update
0003356Far ManagerFindFilespublic2016-12-01 21:19
ReporterpultAssigned Tozg 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindowsOS Version10
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0003356: Far 3.0.4852: Неудачный поиск файлов по содержимому для некоторых символов
DescriptionFar 3.0.4852 x64

Попытка найти файл с содержимым:
dbg@
терпит неудачу, хотя искомый файл существует!

Для случая @dbg такой проблемы нет.
Steps To ReproduceСоздаю файл (ANSI) в котором д.б. искомая строка:
dbg@

Вызываю диалог поиска файлов (Alt+F7).
Можно указать кодировку ANSI.
Задаём искомый текст: dbg@

Поиск терпит неудачу.
TagsNo tags attached.
Build4863

Activities

shmuel

2016-11-25 17:26

developer   bugnote:0015035

У меня файл находится. Far 3.0.4852 x86.

pult

2016-11-25 17:37

reporter   bugnote:0015036

Странно. У меня чистый фар без сторонних плагинов. Пользовательская и системная локали RU.

Дальше больше. На результаты поиска влияет количество файлов в папке: 1 или 2 и возможное содержимое второго файла.

file: a.txt
-----------------

dbg@

@dbg

@dbg@

-----------------

file: b.txt
-----------------

dbg@

-----------------

Если во втором файле (b.txt) есть dbg@ , то поиск находит файл a.txt. Если просто dbg, то a.txt не находит :(

shmuel

2016-11-25 17:44

developer   bugnote:0015038

Попробовал и это - находятся оба файла. Если во втором файле просто dbg, находится только первый файл. В общем - без сюрпризов.

pult

2016-11-25 17:49

reporter  

far_x64_v2016.1125.1648_profile.farconfig.7z (6,951 bytes)

pult

2016-11-25 17:50

reporter   bugnote:0015039

No comments.
Посмотрим что у других будет.
На всяк - приложил свои настройки профиля.

pult

2016-11-25 17:52

reporter  

3356_test_files.7z (208 bytes)

DrKnS

2016-11-25 18:19

administrator   bugnote:0015040

Может он у вас находится, но не рисуется?
Что если Panel нажать?

pult

2016-11-25 18:21

reporter   bugnote:0015041

О-О !!! Не рисуется - ИМЕННО !!!

pult

2016-11-25 18:26

reporter   bugnote:0015042

После поиска жму Alt+Ins. После чего в панели результата
появляется файл, но в итогах(Found files) нули:

╔═══════════════════════════════════════════════ Find file: *.* ════════
║ C:\Program Files\Far Manager\!#TEST\3356\
║ 25/11/16│ 28│A │a.txt
╠═══════════════════════════════════════════════════════════════════════
║ Search done. Found files: 0, folders: 0
╟───────────────────────────────────────────────────────────────────────

DrKnS

2016-11-25 18:40

administrator   bugnote:0015043

В 4853 возможно исправится.

pult

2016-12-01 20:59

reporter   bugnote:0015055

4863 - исправлено!!! Thanks!

Issue History

Date Modified Username Field Change
2016-11-25 17:13 pult New Issue
2016-11-25 17:26 shmuel Note Added: 0015035
2016-11-25 17:37 pult Note Added: 0015036
2016-11-25 17:44 shmuel Note Added: 0015038
2016-11-25 17:49 pult File Added: far_x64_v2016.1125.1648_profile.farconfig.7z
2016-11-25 17:50 pult Note Added: 0015039
2016-11-25 17:52 pult File Added: 3356_test_files.7z
2016-11-25 18:19 DrKnS Note Added: 0015040
2016-11-25 18:21 pult Note Added: 0015041
2016-11-25 18:26 pult Note Added: 0015042
2016-11-25 18:40 DrKnS Note Added: 0015043
2016-12-01 20:59 pult Note Added: 0015055
2016-12-01 21:19 DrKnS Build => 4863
2016-12-01 21:19 DrKnS Status new => closed
2016-12-01 21:19 DrKnS Assigned To => zg
2016-12-01 21:19 DrKnS Resolution open => fixed
2016-12-01 21:19 DrKnS Fixed in Version => 3.0